MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0023250Community[OCCT] OCCT:Foundation Classespublic2012-07-06 20:092012-11-16 13:17
Reporterdavid 
Assigned Tokgv 
PrioritynormalSeveritytrivial 
StatusclosedResolutionfixed 
PlatformLinuxOSDebian SidOS Version
Product Version[OCCT] 6.5.3 
Target Version[OCCT] 6.5.4Fixed in Version[OCCT] 6.5.4 
Summary0023250: Missing include in OSD_MemInfo.cxx
DescriptionOSD_MemInfo.cxx does not compile with gcc 4.7 because of a missing include (unistd.h).

See proposed attached patch.
TagsNo tags attached.
Test case numberNot needed
Attached Filespatch file icon occt_osd_meminfo.patch (351 bytes) 2012-07-06 20:09

- Relationships

-  Notes
(0020898)
kgv (developer)
2012-07-11 10:38
edited on: 2012-07-11 10:41

Function getpid() declared in "unistd.h" header on POSIX-compliant systems.
It seems it was erroneously declared/included by some other headers on gcc before 4.7.

Patch is ready in branch CR23250.

(0020899)
abv (manager)
2012-07-11 10:52

No remarks, please test
(0020900)
david (developer)
2012-07-11 11:47

According to http://gcc.gnu.org/gcc-4.7/porting_to.html, [^] many of the standard C++ library include files have been edited to no longer include <unistd.h> to remove namespace pollution (see "Header dependency changes" part).
(0020934)
mkv (tester)
2012-07-12 17:07

Dear BugMaster,
The workbenches
KAS:dev:mkv-23250-occt (GIT branch CR23250)
KAS:dev:mkv-23250-products (GIT master)
were compiled on Linux platform and tested.

Regression:
Not detected

Improvements:
Not detected

Testing case:
Not needed

See results in /QADisk/occttests/results/KAS/dev/mkv-23250-products_11072012/lin
See reference results in /QADisk/occttests/results/KAS/dev/products-20120622-opt_22062012/lin
See test cases in /QADisk/occttests/tests/ED
N.B. In order to launch testing case you can make use the following instructions
http://doc/doku.php?id=occt:certification [^]

- Related Changesets
occt: master 8fa02385
Timestamp: 2012-07-11 06:35:19
Author: kgv
Details ] Diff ]
0023250: Missing include in OSD_MemInfo.cxx

Function getpid() declared in "unistd.h" header on POSIX-compliant systems.
Fix compilation error with gcc 4.7 on Linux.
mod - src/OSD/OSD_MemInfo.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2012-07-06 20:09 david New Issue
2012-07-06 20:09 david Assigned To => abv
2012-07-06 20:09 david File Added: occt_osd_meminfo.patch
2012-07-07 09:15 abv Assigned To abv => kgv
2012-07-07 09:15 abv Status new => assigned
2012-07-11 10:38 kgv Note Added: 0020898
2012-07-11 10:38 kgv Assigned To kgv => abv
2012-07-11 10:38 kgv Status assigned => resolved
2012-07-11 10:40 kgv Severity minor => trivial
2012-07-11 10:40 kgv Product Version 6.5.4 => 6.5.3
2012-07-11 10:40 kgv Target Version => 6.5.4
2012-07-11 10:41 kgv Note Edited: 0020898 View Revisions
2012-07-11 10:52 abv Note Added: 0020899
2012-07-11 10:52 abv Assigned To abv => bugmaster
2012-07-11 10:52 abv Status resolved => reviewed
2012-07-11 11:47 david Note Added: 0020900
2012-07-11 12:03 mkv Assigned To bugmaster => mkv
2012-07-12 17:07 mkv Note Added: 0020934
2012-07-12 17:08 mkv Test case number => Not needed
2012-07-12 17:08 mkv Assigned To mkv => bugmaster
2012-07-12 17:08 mkv Status reviewed => tested
2012-07-17 17:50 kgv Changeset attached => occt master 8fa02385
2012-07-17 17:50 kgv Assigned To bugmaster => kgv
2012-07-17 17:50 kgv Status tested => verified
2012-07-17 17:50 kgv Resolution open => fixed
2012-11-16 13:15 bugmaster Fixed in Version => 6.5.4
2012-11-16 13:17 bugmaster Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker